Subject: Re: [Netconf] [Technical Errata Reported] RFC6241 (3980)

From: Benoit Claise <[email-masked]>
Date: Thu, 15 Jan 2015 12:14:03 +0100

Dear all,

Discussing this issue with Martin, there is one small addition to the 
previous proposed text:
     s/MAY be/MAY also be/
I'm inclined to Verify this errata in a week from now, if no further 
comment.

In section 6.3:

OLD:

   The algorithm continues until all sibling sets in all subtrees specified
    in the filter have been processed.
NEW:

    The algorithm continues until all sibling sets in all subtrees specified
    in the filter have been processed. If any sibling nodes of a node
    are instance identifier components for a conceptual data structure
    (e.g., list key leaf), then they MAY also be included in the filter 
output.

Implicitly in section 6.2.5 to delete the moved text:

OLD:

    If any sibling nodes of the selection node are instance identifier
    components for a conceptual data structure (e.g., list key leaf),
    then they MAY also be included in the filter output.

NEW:
    <void>

Regards, Benoit
>
> Benoit, All,
>
> we should add that there was no consensus on the use of more strong 
> formulation with SHOULD or MUST.
>
> Regards,
> Mehmet
>
> *From:*Netconf [mailto:[email-masked]] *On Behalf Of *ext 
> Benoit Claise
> *Sent:* Sunday, October 12, 2014 7:02 PM
> *To:* Klement Sekera -X (ksekera - Pantheon Technologies SRO at 
> Cisco); NETCONF
> *Subject:* [Netconf] [Technical Errata Reported] RFC6241 (3980)
>
> Dear all,
>
> I would like to close the errata 3980, 
> http://www.rfc-editor.org/errata_search.php?rfc=6241&eid=3980
> Mehmet summarized the situation below. (Thanks Mehmet)
> If you have a problem with the proposal, quickly let us know (a few days)
>
>
> Martin proposed in June to put the text into section 6.3.
> Klement proposed in the mail from 19.06.2014 following change:
>
> In section 6.3:
>
> OLD:
>
> The algorithm continues until all sibling sets in all subtrees specified
> in the filter have been processed.
>
> NEW:
>
> The algorithm continues until all sibling sets in all subtrees specified
> in the filter have been processed. If any sibling nodes of a node
> are instance identifier components for a conceptual data structure
> (e.g., list key leaf), then they MAY be included in the filter output.
>
> Implicitly in section 6.2.5 to delete the moved text:
>
> OLD:
>
>    If any sibling nodes of the selection node are instance identifier
>    components for a conceptual data structure (e.g., list key leaf),
>    then they MAY also be included in the filter output.
>
> NEW:
>
>    <void>
>
> Regards, Mehmet and Benoit
>